Bug 234764 - Anaconda overrides static ethernet address for eth0
Anaconda overrides static ethernet address for eth0
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
: 233507 234582 234950 235564 236462 238061 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-01 13:41 EDT by David G. Mackay
Modified: 2007-11-30 17:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-17 16:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David G. Mackay 2007-04-01 13:41:36 EDT
Description of problem:
During installation, I specified a static ip for eth0.  When I rebooted,
the system tried to use dhcp to get an ip address.  A quick look in
/etc/sysconfig/network-scripts showed that ifcfg-eth0 had been rewritten
to use dhcp and the static info had been moved to ifcfg-eth0.bak
Moving the ifcfg-eth0.bak to ifcfg-eth0 solves the problem.

Version-Release number of selected component (if applicable):

How reproducible:
I tried it twice.  Probably always happens.

Steps to Reproduce:
1.  Install F7-t3 and specify static ip for eth0
Actual results:

Expected results:

Additional info:
Comment 1 David Cantrell 2007-04-01 16:22:30 EDT
I'm not sure this is anaconda's problem.  Perform the installation again.  When
it completes and says congratulations and the button in the lower right corner
is Reboot, press Ctrl+Alt+F2 to switch over to the 2nd virtual console.

Check the ifcfg scripts:

cd /mnt/sysimage/etc/sysconfig/network-scripts
ls ifcfg-*

Check the contents of those scripts.  If they contain your settings entered
during the installation process, that means they were written correctly.

Reboot, check the scripts again.  If they have changed, then something during
initial boot has rewritten the scripts.  I'm seeing this on a number of other
systems too.
Comment 2 David G. Mackay 2007-04-02 13:34:08 EDT
I did as you suggested and the ifcfg-eth0 has NOT been overwritten before the
boot.  During the boot, I see a line saying that it is bringing up eth0 followed
by a line saying that it is trying to get the ip for eth0, so the dhcpcd is
being run for some reason at that point.
Comment 3 David Cantrell 2007-04-03 12:44:26 EDT
The /etc/init.d/network script is doing this and I don't know why.

Reassigning to initscripts component.
Comment 4 Matthew Miller 2007-04-10 12:28:43 EDT
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.
Comment 5 Bill Nottingham 2007-04-12 14:53:00 EDT
*** Bug 235564 has been marked as a duplicate of this bug. ***
Comment 6 Bill Nottingham 2007-04-12 14:53:10 EDT
*** Bug 234950 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2007-04-12 14:53:43 EDT
*** Bug 234582 has been marked as a duplicate of this bug. ***
Comment 8 Bill Nottingham 2007-04-12 14:54:13 EDT
*** Bug 233507 has been marked as a duplicate of this bug. ***
Comment 9 Bill Nottingham 2007-04-12 15:03:24 EDT
Reassigning to anaconda.

anaconda is no longer writing HWADDR= lines in the ifcfg files - this is causing
problems when interfaces are added, removed, or loaded in a different order.
Comment 10 Bill Nottingham 2007-04-16 16:32:11 EDT
*** Bug 236462 has been marked as a duplicate of this bug. ***
Comment 11 David Cantrell 2007-04-17 16:42:18 EDT
Fixed in rawhide.
Comment 12 David Cantrell 2007-04-27 10:39:18 EDT
*** Bug 238061 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.